org.apache.hadoop.yarn.api.protocolrecords

## Class GetDelegationTokenResponse

- java.lang.Object
- - org.apache.hadoop.yarn.api.protocolrecords.GetDelegationTokenResponse

-     @InterfaceAudience.Public
       @InterfaceStability.Stable
      public abstract class GetDelegationTokenResponse
      extends Object

  Response to a `GetDelegationTokenRequest` request from the client. The response contains the token that can be used by the containers to talk to ClientRMService.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetDelegationTokenResponse()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract Token` | `getRMDelegationToken()` The Delegation tokens have a identifier which maps to `AbstractDelegationTokenIdentifier`.
    `static GetDelegationTokenResponse` | `newInstance(Token rmDTToken)`
    `abstract void` | `setRMDelegationToken(Token rmDTToken)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetDelegationTokenResponse

          public GetDelegationTokenResponse()

  - ### Method Detail

    - #### newInstance

          @InterfaceAudience.Private
           @InterfaceStability.Unstable
          public static GetDelegationTokenResponse newInstance(Token rmDTToken)

    - #### getRMDelegationToken

          @InterfaceAudience.Public
           @InterfaceStability.Stable
          public abstract Token getRMDelegationToken()

      The Delegation tokens have a identifier which maps to `AbstractDelegationTokenIdentifier`.
      Returns:
        the delegation tokens

    - #### setRMDelegationToken

          @InterfaceAudience.Private
           @InterfaceStability.Unstable
          public abstract void setRMDelegationToken(Token rmDTToken)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.